View Issue Details

IDProjectCategoryView StatusLast Update
0006217MediaMonkey (current)Main Panel/Toolbars/Menuspublic2018-07-16 16:00
ReporterLudek 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0006217: Some shortcuts are inactive while editing or typing into search bar (regression)
DescriptionIf you put cursor into search bar or edit a track's title then shortcuts like F5 (refresh) are no longer active.

Note that this is rather intended in order to prevent from problems like 0006012 where this regression was introduced.

Nevertheless maybe shortcuts like F1..F12 should still work although user is typing or not.
Additional Informationhttp://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=7350
TagsNo tags attached.
Fixed in build1301

Relationships

related to 0006012 closedLudek MediaMonkey (current) Edit mode: ALTGR fails to enter some characters 
related to 0004065 closedLudek MediaMonkey (current) Single Key Hotkeys are active when editing 
related to 0004305 closedrusty MediaMonkey (current) Shortcuts are Triggered in Edit Mode 
related to 0014964 closedLudek MediaMonkey 5 Hotkeys are not working, when focus is in edit controls 

Activities

rusty

2009-12-11 07:54

administrator   ~0019831

This bug is actually quite bad because the problem exists not only when the cursor is inside the Search bar, but _afterwards_ as well!

I suggest that if there are a lot of reports of this problem, we may want to introduce the fix within a bug fix release.

Ludek

2009-12-11 10:55

developer   ~0019832

Last edited: 2009-12-11 11:02

Rusty, we (Stephen, Pavle and me) can reproduce only if the cursor is inside the Search bar, but NOT afterwards.

How you reproduced it and what you think by _afterwards_ ?
Any exact steps?
Skinned/non-skinned version?

Thx.

rusty

2009-12-11 15:21

administrator   ~0019834

I actually mis-stated the bug. The problem occurs on my machine only when focus is in the Search bar. Once the cursor is outside the search bar, the problem goes away. e.g.
1) Go to Now Playing node
2) Sort by a header
3) Press F5 --> view refreshes to show currently playing track
4) Perform steps 2/3 a couple of times to verify that this works
5) Click the search bar
6) Perform steps 2/3 --> F5 fails

So the problem is quite annoying/confusing, but perhaps not as bad as I'd originally thought.

Ludek

2009-12-14 10:58

developer   ~0019838

Ok, I enabled keys F1..F12 while editing.
Although I think this is a low priority issue.

Fixed in build 1301.

peke

2010-10-17 23:59

developer   ~0020822

Verified 1316